> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscription Plans

> List all subscription plans



## OpenAPI

````yaml get /v1/subscription-plan
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/subscription-plan:
    get:
      summary: Get All Subscription Plan
      description: Use this API to get all subscription plans details.
      operationId: get-all-subscription-plan
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: per_page
          in: query
          description: The number of per page
          schema:
            type: number
            default: 20
        - name: page
          in: query
          description: The page index
          schema:
            type: number
            default: 1
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "data": [
                            {
                                "id": "975b1909-38f6-44f3-a0b1-c198b7478978",
                                "name": "subscription-plan_new_1664175178",
                                "description": "New_Description_1664175178",
                                "cycle": "custom",
                                "cycle_repeat": 1,
                                "cycle_frequency": "day",
                                "currency": "sgd",
                                "price": 123.45,
                                "amount": 123.45,
                                "reference": null,
                                "created_at": "2022-09-26T14:52:58",
                                "updated_at": "2022-09-26T14:52:58"
                            },
                            {
                                "id": "97533e84-4f48-4625-83de-1d2b3e3ae17b",
                                "name": "subscription-plan_new_1663837869",
                                "description": "New_Description_1663837869",
                                "cycle": "custom",
                                "cycle_repeat": 1,
                                "cycle_frequency": "day",
                                "currency": "sgd",
                                "price": 9999999.99,
                                "amount": 9999999.99,
                                "reference": null,
                                "created_at": "2022-09-22T17:11:09",
                                "updated_at": "2022-09-22T17:11:09"
                            }
                        ],
                        "links": {
                            "first": "https://api.sandbox.hit-pay.com/v1/subscription-plan?page=1",
                            "last": "https://api.sandbox.hit-pay.com/v1/subscription-plan?page=1",
                            "prev": null,
                            "next": null
                        },
                        "meta": {
                            "current_page": 1,
                            "from": 1,
                            "last_page": 1,
                            "links": [
                                {
                                    "url": null,
                                    "label": "&laquo; Previous",
                                    "active": false
                                },
                                {
                                    "url": "https://api.sandbox.hit-pay.com/v1/subscription-plan?page=1",
                                    "label": "1",
                                    "active": true
                                },
                                {
                                    "url": null,
                                    "label": "Next &raquo;",
                                    "active": false
                                }
                            ],
                            "path": "https://api.sandbox.hit-pay.com/v1/subscription-plan",
                            "per_page": 25,
                            "to": 2,
                            "total": 2
                        }
                    }
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          examples:
                            - 975b1909-38f6-44f3-a0b1-c198b7478978
                        name:
                          type: string
                          examples:
                            - subscription-plan_new_1664175178
                        description:
                          type: string
                          examples:
                            - New_Description_1664175178
                        cycle:
                          type: string
                          examples:
                            - custom
                        cycle_repeat:
                          type: integer
                          examples:
                            - 1
                          default: 0
                        cycle_frequency:
                          type: string
                          examples:
                            - day
                        currency:
                          type: string
                          examples:
                            - sgd
                        price:
                          type: number
                          examples:
                            - 123.45
                          default: 0
                        amount:
                          type: number
                          examples:
                            - 123.45
                          default: 0
                        reference: {}
                        created_at:
                          type: string
                          examples:
                            - '2022-09-26T14:52:58'
                        updated_at:
                          type: string
                          examples:
                            - '2022-09-26T14:52:58'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        examples:
                          - >-
                            https://api.sandbox.hit-pay.com/v1/subscription-plan?page=1
                      last:
                        type: string
                        examples:
                          - >-
                            https://api.sandbox.hit-pay.com/v1/subscription-plan?page=1
                      prev: {}
                      next: {}
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        examples:
                          - 1
                        default: 0
                      from:
                        type: integer
                        examples:
                          - 1
                        default: 0
                      last_page:
                        type: integer
                        examples:
                          - 1
                        default: 0
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url: {}
                            label:
                              type: string
                              examples:
                                - '&laquo; Previous'
                            active:
                              type: boolean
                              examples:
                                - false
                              default: true
                      path:
                        type: string
                        examples:
                          - https://api.sandbox.hit-pay.com/v1/subscription-plan
                      per_page:
                        type: integer
                        examples:
                          - 25
                        default: 0
                      to:
                        type: integer
                        examples:
                          - 2
                        default: 0
                      total:
                        type: integer
                        examples:
                          - 2
                        default: 0
      deprecated: false
      security: []

````